#ifndef SOMP_H
#define	SOMP_H

#include "matrix.h"
#include "cell.h"

#define SOMP_DEBUG

matrix *somp_max_base(matrix *R);
matrix *somp_base_projection(matrix *S, matrix *basis);
double somp_abs (double x);
matrix **somp_algorithm (matrix *S, unsigned int T);

#endif

